%define eclipse_base   %{_libdir}/eclipse
%define install_loc    %{_datadir}/eclipse/dropins/rpmstubby
%define qualifier      201109221400

Name:           eclipse-rpmstubby
Version:        0.9.0
Release:        0.2.20110922git681e7142%{?dist}
Summary:        Rpm specfile generator for Eclipse features

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/rpmstubby/
# Source0 created as follows:
#
#  git clone git://git.eclipse.org/gitroot/linuxtools/org.eclipse.linuxtools.git
#  cd org.eclipse.linuxtools
#  git checkout -b rpmstubby-fedora 681e7142825a1cc53899f45d0aabcf7857bc386b
#  cd rpmstubby
#  mvn assembly:single
#  cd target
#  mv linuxtools-rpmstubby-parent-0.9.0-SNAPSHOT-src.tar.bz2 linuxtools-rpmstubby-SNAPSHOT-681e7142825a1cc53899f45d0aabcf7857bc386b-src.tar.bz2
#
Source0:        linuxtools-rpmstubby-SNAPSHOT-681e7142825a1cc53899f45d0aabcf7857bc386b-src.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
Requires: eclipse-platform >= 3.4.0

%description
RPM Stubby Plug-in is a plugin aiming to auto-generate RPM specfile from
feature.xml.

%prep
%setup -q -n linuxtools-rpmstubby-parent-0.9.0-SNAPSHOT-src
cp org.eclipse.linuxtools.rpmstubby-feature/ChangeLog org.eclipse.linuxtools.rpmstubby-feature/ChangeLog.feature

%build
%{eclipse_base}/buildscripts/pdebuild \
 -a "-DforceContextQualifier=%{qualifier} -DjavacSource=1.5 -DjavacTarget=1.5"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.rpmstubby.zip

%clean
%{__rm} -rf %{buildroot}

%files
%{install_loc}
%doc org.eclipse.linuxtools.rpmstubby-feature/license.html
%doc org.eclipse.linuxtools.rpmstubby-feature/epl-v10.html
%doc org.eclipse.linuxtools.rpmstubby-feature/ChangeLog.feature
%doc org.eclipse.linuxtools.rpmstubby/ChangeLog

%changelog
* Thu Aug 22 2011 Andrew Robinson <arobinso@redhat.com> 0.9.0-0.2.20110922git681e7142
- Fix plugin accessing eclipse-pde at runtime.

* Mon Aug 15 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.9.0-0.1.20110815git2168cacb
- Linux Tools 0.9.0 (rpmstubby) pre-release.

* Thu Jul 14 2011 Alexander Kurtakov <akurtako@redhat.com> 0.8.0-1
- Update to Linux Tools 0.8.0 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Roland Grunberg <rgrunber@redhat.com> 0.6.0-1
- Update to Linux Tools 0.6 release.

* Tue Mar 23 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-1
- Update to Linux Tools 0.5 release.

* Fri Dec 4 2009 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-1
- Update to Linux Tools 0.4 release.

* Tue Sep 1 2009 Alexander Kurtakov <akurtako@redhat.com> 0.3.0-1
- Update to Linux Tools 0.3 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 14 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-3
- Update to Linux Tools 0.2 release.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-2
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Alexander Kurtakov <akurtakov@dredhat.com> 0.1.1-1
- Update to version 0.1.1

* Sun Jan 25 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-2
- Fix URL to point to the new homepage.
- Use %{buildroot} only.
- Package Changelog files.

* Wed Dec 10 2008 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-1
-Initial packaging.